---
title: Get information about all attachments
slug: campaign/api/get-information-about-all-attachments
docTags: 
createdAt: 2026-09-02T15:04:15.718Z
---

{
  "id": "8Fo5sZAQjM0ULBlTnrMZ6",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.campaign.episerver.net/rest/{clientId}/attachments",
    "servers": [
      {
        "url": "https://api.campaign.episerver.net/rest/{clientId}/attachments"
      }
    ],
    "name": "Get information about all attachments",
    "description": "<p>Get detailed information about all attachments, such as type, mime type, size or creation date. You can sort the result by specific criteria and limit the maximum number of retrieved attachments.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "clientId",
          "type": "string",
          "description": "Client ID"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/vnd.optivo.broadmail.v1+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "offset",
          "type": "integer<int32>",
          "description": "<p>Starting point of the result list Default value : 0</p>",
          "format": "int32"
        },
        {
          "kind": "optional",
          "name": "limit",
          "type": "integer<int32>",
          "description": "<p>Maximum number of retrieved attachmentsDefault value : 100</p>",
          "format": "int32"
        },
        {
          "kind": "optional",
          "name": "sort",
          "type": "string",
          "description": "Sort result by specific criteria",
          "default": "created",
          "enum": [
            "id",
            "mailingGroup",
            "name",
            "uploaded",
            "url",
            "fileName",
            "type",
            "mimeType",
            "size",
            "created",
            "modified"
          ]
        },
        {
          "kind": "optional",
          "name": "direction",
          "type": "string",
          "description": "Sort order",
          "default": "ASC",
          "enum": [
            "ASC",
            "DESC"
          ]
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Authorization",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>The attachments were retrieved successfully (empty result if none were found).</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "RestAttachmentStreamingCollection",
            "schema": [
              {
                "name": "elements",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/RestAttachment",
                "customType": "RestAttachment[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "description": "Attachment ID",
                    "format": "int64"
                  },
                  {
                    "name": "owner",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "description": "Client ID",
                    "format": "int64"
                  },
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "description": "Attachment name"
                  },
                  {
                    "name": "uploaded",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "<p>If true, the attachment was successfully uploaded</p>"
                  },
                  {
                    "name": "fileName",
                    "kind": "optional",
                    "type": "string",
                    "description": "File name"
                  },
                  {
                    "name": "type",
                    "kind": "optional",
                    "type": "string",
                    "description": "File type of the attachment"
                  },
                  {
                    "name": "mimeType",
                    "kind": "optional",
                    "type": "string",
                    "description": "Mime type of the attachment"
                  },
                  {
                    "name": "size",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "description": "Attachment size",
                    "format": "int64"
                  },
                  {
                    "name": "created",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "description": "Date and time of creation",
                    "format": "date-time"
                  },
                  {
                    "name": "modified",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "description": "Date and time of modification",
                    "format": "date-time"
                  },
                  {
                    "name": "links",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "uriBuilder",
                        "kind": "optional",
                        "type": "object",
                        "description": "",
                        "example": "",
                        "schema": []
                      },
                      {
                        "name": "rels",
                        "kind": "optional",
                        "type": "array",
                        "description": "",
                        "example": "",
                        "itemType": "string",
                        "customType": "string[]",
                        "itemExample": "",
                        "itemDefault": ""
                      },
                      {
                        "name": "rel",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "type",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "params",
                        "kind": "optional",
                        "type": "map",
                        "description": "",
                        "example": "",
                        "customType": "map<string, string>",
                        "schema": []
                      },
                      {
                        "name": "title",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "uri",
                        "kind": "optional",
                        "type": "string<uri>",
                        "description": "",
                        "format": "uri"
                      }
                    ]
                  }
                ]
              },
              {
                "name": "count",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              },
              {
                "name": "offset",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              },
              {
                "name": "limit",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              }
            ],
            "modelRef": "#/components/schemas/RestAttachmentStreamingCollection",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Invalid limit request. Change the limit to less than 10000.",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "yuprLJVT1L7DkF3cgXXxW",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.campaign.episerver.net/rest/{clientId}/attachments?sort=created&direction=ASC' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "HeyfzT70R2RgIgmrughYR",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.campaign.episerver.net/rest/{clientId}/attachments?sort=created&direction=ASC\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "NECZRrTeBH7q2a_msPq2F",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.campaign.episerver.net/rest/{clientId}/attachments?sort=created&direction=ASC\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "BaH3voANl7vBmisCudoK9",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.campaign.episerver.net/rest/{clientId}/attachments?sort=created&direction=ASC\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "yuprLJVT1L7DkF3cgXXxW"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// The attachments were retrieved successfully (empty result if none were found).\n{\n  \"elements\": [\n    {\n      \"id\": \"\",\n      \"owner\": \"\",\n      \"name\": \"\",\n      \"uploaded\": false,\n      \"fileName\": \"\",\n      \"type\": \"\",\n      \"mimeType\": \"\",\n      \"size\": \"\",\n      \"created\": \"\",\n      \"modified\": \"\",\n      \"links\": [\n        {\n          \"uriBuilder\": {},\n          \"rels\": [\n            \"\"\n          ],\n          \"rel\": \"\",\n          \"type\": \"\",\n          \"params\": \"\",\n          \"title\": \"\",\n          \"uri\": \"\"\n        }\n      ]\n    }\n  ],\n  \"count\": \"\",\n  \"offset\": \"\",\n  \"limit\": \"\"\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Invalid limit request. Change the limit to less than 10000.\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}